<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: gst::Object Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgst_1_1Object.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">gst::Object Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>C++ Wrapper around GstObject meant to be used in harmony with the other elements only provides virtual functions which are used to manage basic functionality of GstObject.  
 <a href="classgst_1_1Object.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Object_8hpp_source.html">Object.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gst::Object:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgst_1_1Object__inherit__graph.svg" width="312" height="262"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8b785974e041e909559e8ea069cc65e9"><td class="memItemLeft" align="right" valign="top"><a id="a8b785974e041e909559e8ea069cc65e9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Object</b> (<a class="el" href="classgst_1_1Object.html">Object</a> &amp;other)</td></tr>
<tr class="separator:a8b785974e041e909559e8ea069cc65e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a599e2b0983e763c84b5c361dfc9bfdd7"><td class="memItemLeft" align="right" valign="top"><a id="a599e2b0983e763c84b5c361dfc9bfdd7"></a>
<a class="el" href="classgst_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classgst_1_1Object.html">Object</a> const &amp;other)</td></tr>
<tr class="separator:a599e2b0983e763c84b5c361dfc9bfdd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a42a9d5dfe0a4cd76a5268ddb1d6d5d"><td class="memItemLeft" align="right" valign="top"><a id="a3a42a9d5dfe0a4cd76a5268ddb1d6d5d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Object</b> (<a class="el" href="classgst_1_1Object.html">Object</a> &amp;&amp;other)</td></tr>
<tr class="separator:a3a42a9d5dfe0a4cd76a5268ddb1d6d5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b6a5a4ba8806b7081a3e44b4f566a78"><td class="memItemLeft" align="right" valign="top"><a id="a7b6a5a4ba8806b7081a3e44b4f566a78"></a>
<a class="el" href="classgst_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classgst_1_1Object.html">Object</a> &amp;&amp;other)</td></tr>
<tr class="separator:a7b6a5a4ba8806b7081a3e44b4f566a78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a460a6720d5ed6377ab6ac069fcd5f187"><td class="memItemLeft" align="right" valign="top"><a id="a460a6720d5ed6377ab6ac069fcd5f187"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Object</b> (GstObject *ref)</td></tr>
<tr class="separator:a460a6720d5ed6377ab6ac069fcd5f187"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46d8afbf6401f36784bd4e22b4b61a27"><td class="memItemLeft" align="right" valign="top"><a id="a46d8afbf6401f36784bd4e22b4b61a27"></a>
GstObject *&#160;</td><td class="memItemRight" valign="bottom"><b>ref</b> () const</td></tr>
<tr class="separator:a46d8afbf6401f36784bd4e22b4b61a27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af670ec71e6e7258408317c91b25a59a0"><td class="memItemLeft" align="right" valign="top"><a id="af670ec71e6e7258408317c91b25a59a0"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>get_name</b> () const</td></tr>
<tr class="separator:af670ec71e6e7258408317c91b25a59a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48b34b9a8c34f82758e0984e038416c8"><td class="memItemLeft" align="right" valign="top"><a id="a48b34b9a8c34f82758e0984e038416c8"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>refcount</b> ()</td></tr>
<tr class="separator:a48b34b9a8c34f82758e0984e038416c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7514971b14d0bdec5e7f60bb6c20286"><td class="memItemLeft" align="right" valign="top"><a id="ae7514971b14d0bdec5e7f60bb6c20286"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_name</b> (std::string name)</td></tr>
<tr class="separator:ae7514971b14d0bdec5e7f60bb6c20286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa940d4ccf73318e27f01136b666a26a5"><td class="memItemLeft" align="right" valign="top"><a id="aa940d4ccf73318e27f01136b666a26a5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_property_from_string</b> (std::string property_name, std::string value) const</td></tr>
<tr class="separator:aa940d4ccf73318e27f01136b666a26a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcb088d8d055d563f2ab7e425d22c66d"><td class="memItemLeft" align="right" valign="top"><a id="abcb088d8d055d563f2ab7e425d22c66d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>get_property</b> (std::string property_name) const</td></tr>
<tr class="separator:abcb088d8d055d563f2ab7e425d22c66d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>C++ Wrapper around GstObject meant to be used in harmony with the other elements only provides virtual functions which are used to manage basic functionality of GstObject. </p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Object_8hpp_source.html">Object.hpp</a></li>
<li>Object.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacegst.html">gst</a></li><li class="navelem"><a class="el" href="classgst_1_1Object.html">Object</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
